e-Próspera
Reference

Create a public Visitor Pass application

View as Markdown
POST
/api/v1/visitor_pass_applications

This endpoint is intentionally unauthenticated. The applicant must provide consent and a signature.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/visitor_pass_applications" \  -H "Content-Type: application/json" \  -d '{    "firstName": "string",    "lastName": "string",    "dateOfBirth": "string",    "email": "user@example.com",    "signature": "string",    "consentToBackgroundCheck": true,    "referralSource": "string"  }'
{  "success": true,  "data": {    "ok": true  }}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}
{  "error": "string",  "error_description": "string",  "details": [    null  ]}